MQ_CLOSE(3)

NAME
mq_close - close a message queue descriptor

SYNOPSIS
#include <mqueue.h>

mqd_t mq_close(mqd_t mqdes);

DESCRIPTION
mq_close() closes the message queue descriptor mqdes. If the calling process has attached a notification request to this message queue via mqdes, then this request is removed, and another process can now attach a notification request.

RETURN VALUE
On success mq_close() returns 0; on error, -1 is returned, with errno set to indicate the error.

ERRORS

EBADF
    The descriptor specified in mqdes is invalid.

CONFORMING TO
POSIX.1-2001.

NOTES
All open message queues are automatically closed on process termination, or upon execve(2).

SEE ALSO
mq_getattr(3), mq_notify(3), mq_open(3), mq_receive(3), mq_send(3), mq_unlink(3), mq_overview(7)